name: "Permissions Error"

on:
  workflow_dispatch:

permissions:
  contents: read  # only read commits/tags cannot create ones from this workflow 

jobs:
  example-job:
    # It can be also here for job scope
    # permissions:
    #   contents: read
    runs-on: ubuntu-latest

    steps:
      - name: Checkout Repository
        uses: actions/checkout@v4

      - name: Attempt Write Operation
        run: |
          # This is an intentional error to demonstrate lack of write permissions
          touch new-file.txt
          git config --global user.name 'hangpersonal'
          git config --global user.email 'hangcui1201@gmail.com'
          git add new-file.txt
          git commit -m "Attempt to write"
          git push origin ${{ github.ref }}
        continue-on-error: true